Name:           gtkterm
Version:        0.99.5
Release:        %mkrel 8
Summary:        Serial port terminal
Group:          Communications
License:        GPLv2+
URL:            http://www.jls-info.com/julien/linux
Source0:        http://www.jls-info.com/julien/linux/%{name}-%{version}.tar.bz2
Patch0:         gtkterm-0.99.5-fixes.patch
Patch1:         gtkterm-0.99.5-crlf.patch
Patch2:         gtkterm-0.99.5-scrollback.patch
Patch3:         gtkterm-0.99.5-sendhex.patch
Patch4:         gtkterm-0.99.5-usb.patch
Patch5:		gtkterm-0.99.5-fix-str-fmt.patch
Patch6:		gtkterm-0.99.5-includedir.patch
BuildRoot:      %{_tmppath}/%{name}-buildroot 

BuildRequires:  gtk2-devel 
BuildRequires:  gettext 
BuildRequires:  bison 
BuildRequires:  vte-devel 
BuildRequires:  zlib-devel 
BuildRequires:  ncurses-devel

%description
Simple GUI terminal used to communicate with the serial port.
Similar to minicom or hyperterminal.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .crlf
%patch2 -p1 -b .scrollback
%patch3 -p1 -b .sendhex
%patch4 -p1 -b .usb
%patch5 -p0 -b .str
%patch6 -p0 -b .vte

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p %buildroot%_datadir/applications
cat > %buildroot%_datadir/applications/mandriva-%{name}.desktop <<EOF
[Desktop Entry]
Name=GTKTerm
Comment=Serial port terminal
Exec=%{name}
Icon=terminals_section
Terminal=false
Type=Application
Categories=GTK;RemoteAccess;Network;
EOF

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/*.desktop


%changelog
* Sun Aug 22 2010 Funda Wang <fwang@mandriva.org> 0.99.5-8mdv2011.0
+ Revision: 571930
- build with latest vte

* Wed Jun 10 2009 Götz Waschk <waschk@mandriva.org> 0.99.5-8mdv2010.0
+ Revision: 384687
- rebuild for new vte

* Tue Jun 02 2009 Götz Waschk <waschk@mandriva.org> 0.99.5-7mdv2010.0
+ Revision: 382166
- rebuild for new libvte

* Wed May 13 2009 Funda Wang <fwang@mandriva.org> 0.99.5-6mdv2010.0
+ Revision: 375208
- sync with fedora patches to fix bug#50832

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.99.5-5mdv2009.0
+ Revision: 246709
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 05 2007 Funda Wang <fwang@mandriva.org> 0.99.5-3mdv2008.1
+ Revision: 115515
- add missing categories
- add xdg menu entry
- Rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix hardcoded man page extension
    - import gtkterm


* Fri Feb 03 2006 Jerome Soyer <saispo@mandriva.org> 0.99.5-1mdk
- New release 0.99.5

* Fri Dec 16 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.99.4-1mdk 
- First Mandriva release based on fedora spec
